
%define plugin	dvd
%define name	vdr-plugin-%plugin
%define version	0.3.6
%define betaver	b03
%define cvsrev	20070501
%define rel	4
%define release	0.%betaver.%cvsrev.%rel

Summary:	VDR plugin: turn VDR into an (almost) full featured DVD player
Name:		%name
Version:	%version
Release:	%mkrel %release
Group:		Video
License:	GPL
URL:		http://sourceforge.net/projects/dvdplugin
Source:		vdr-%{plugin}-%{cvsrev}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
BuildRequires:	libdvdnav-devel liba52dec-devel
Requires:	vdr-abi = %vdr_abi
Requires(post):	vdr-common

%description
This is the DVD plugin for the Video Disk Recorder (VDR).

%prep
%setup -q -n %{plugin}
# script-without-shellbang
chmod -x README COPYING HISTORY CONTRIBUTORS

%vdr_plugin_params_begin %plugin
# DVD device
# default: /dev/dvd
var=DVD_DEVICE
param=--dvd=DVD_DEVICE
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}
%vdr_plugin_install

%clean
rm -rf %{buildroot}

%post
%{_bindir}/gpasswd -a vdr cdrom >/dev/null
%{_bindir}/gpasswd -a vdr cdwriter >/dev/null
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%files -f %plugin.vdr
%defattr(-,root,root)
%doc README COPYING HISTORY CONTRIBUTORS




%changelog
* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20070501.4mdv2008.0
+ Revision: 49990
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20070501.3mdv2008.0
+ Revision: 42076
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20070501.2mdv2008.0
+ Revision: 22739
- rebuild for new vdr

* Tue May 01 2007 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20070501.1mdv2008.0
+ Revision: 20065
- new snapshot


* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.10mdv2007.0
+ Revision: 90911
- rebuild for new vdr
- add vdr user to cdwriter group

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.9mdv2007.1
+ Revision: 73983
- rebuild for new vdr
- Import vdr-plugin-dvd

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.8mdv2007.0
- rebuild for new vdr

* Fri Sep 01 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.7mdv2007.0
- add vdr to cdrom group

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.6mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.4mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.3mdv2007.0
- rebuild for new vdr

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.2mdv2007.0
- rebuild for new vdr

* Fri Jun 02 2006 Anssi Hannula <anssi@mandriva.org> 0.3.6-0.b03.20060506.1mdv2007.0
- initial Mandriva release

